Bug 841024 - func_dbl_eqv, func_flt_eqv test case failures on ppc64
func_dbl_eqv, func_flt_eqv test case failures on ppc64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ltrace (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Petr Machata
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 17:54 EDT by Petr Machata
Modified: 2015-05-04 21:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 06:32:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Machata 2012-07-17 17:54:01 EDT
These are tests for s390 abi, but apparently they tickle the ppc back end as well.  See https://brewweb.devel.redhat.com/taskinfo?taskID=4614724
Comment 1 Petr Machata 2012-08-29 19:40:41 EDT
Looked at this today.  Floating point equivalent structures are passed in registers on PPC64 as well, I missed that bit when reading the ABI spec.  The fix is upstream, I will port accordingly.
Comment 2 Petr Machata 2012-08-30 06:32:29 EDT
This is fixed in ltrace-0.6.0-18.el7.

Note You need to log in before you can comment on or make changes to this bug.